-
    headers: 'User-Agent: AIRNESS-AIR99/REV 2.2.1/Teleca Q03B1'
    result: { browser: { name: 'Obigo Q', version: { value: '3', alias: 3B }, type: browser }, device: { type: mobile, subtype: feature, manufacturer: Airness, model: AIR99 } }
    readable: 'Obigo Q 3B on an Airness AIR99'
-
    headers: 'User-Agent: ALCATEL-OT871A/985 Profile/MIDP-2.0 Configuration/CLDC-1.1 ObigoInternetBrowser/Q05A'
    result: { browser: { name: 'Obigo Q', version: { value: '5', alias: 5A }, type: browser }, device: { type: mobile, subtype: feature, manufacturer: Alcatel, model: 'One Touch 871A' } }
    readable: 'Obigo Q 5A on an Alcatel One Touch 871A'
-
    headers: 'User-Agent: ALCATEL_A383G/1.0 ObigoInternetBrowser/Q05A[TF013859000005250099949419492204383]'
    result: { browser: { name: 'Obigo Q', version: { value: '5', alias: 5A }, type: browser }, device: { type: mobile, subtype: feature, manufacturer: Alcatel, model: A383G } }
    readable: 'Obigo Q 5A on an Alcatel A383G'
-
    headers: 'User-Agent: ALCATEL_ONE_TOUCH_2067X/1.0 Profile/MIDP-2.0 Configuration/CLDC-1.1 ObigoInternetBrowser/Q05A'
    result: { browser: { name: 'Obigo Q', version: { value: '5', alias: 5A }, type: browser }, device: { type: mobile, subtype: feature, manufacturer: Alcatel, model: 'One Touch 2067X' } }
    readable: 'Obigo Q 5A on an Alcatel One Touch 2067X'
-
    headers: 'User-Agent: Alcatel-OT-802/1.0 Profile/MIDP-2.0 Configuration/CLDC-1.1 ObigoInternetBrowser/Q05A'
    result: { browser: { name: 'Obigo Q', version: { value: '5', alias: 5A }, type: browser }, device: { type: mobile, subtype: feature, manufacturer: Alcatel, model: 'One Touch 802' } }
    readable: 'Obigo Q 5A on an Alcatel One Touch 802'
-
    headers: 'User-Agent: HUAWEI-M570/001.00 WAP/OBIGO/Q05A'
    result: { browser: { name: 'Obigo Q', version: { value: '5', alias: 5A }, type: browser }, device: { type: mobile, subtype: feature, manufacturer: Huawei, model: M570 } }
    readable: 'Obigo Q 5A on a Huawei M570'
-
    headers: 'User-Agent: Huawei-U2800/U2800ACBXB119 Browser/Obigo-Browser/Q05A'
    result: { browser: { name: 'Obigo Q', version: { value: '5', alias: 5A }, type: browser }, device: { type: mobile, subtype: feature, manufacturer: Huawei, model: U2800 } }
    readable: 'Obigo Q 5A on a Huawei U2800'
-
    headers: 'User-Agent: Huawei/1.0/0HuaweiM615/B100 Browser/Obigo_Browser/Q05A HUAWEI-M615'
    result: { browser: { name: 'Obigo Q', version: { value: '5', alias: 5A }, type: browser }, device: { type: mobile, subtype: feature, manufacturer: Huawei, model: M615 } }
    readable: 'Obigo Q 5A on a Huawei M615'
-
    headers: 'User-Agent: Huawei/1.0/0MTC-752/B000 Browser/Obigo-Browser/Q05A MTC-752 HuaweiJava/1.0 Profile/MIDP-2.0 Configuration/CLDC-1.1'
    result: { browser: { name: 'Obigo Q', version: { value: '5', alias: 5A }, type: browser }, device: { type: mobile, subtype: feature, manufacturer: Huawei, model: Java } }
    readable: 'Obigo Q 5A on a Huawei Java'
-
    headers: 'User-Agent: Huawei/1.0/H12HW/B000 Browser/Obigo-Browser/Q04A'
    result: { browser: { name: 'Obigo Q', version: { value: '4', alias: 4A }, type: browser }, device: { type: mobile, subtype: feature, manufacturer: Huawei, model: H12HW, carrier: EMOBILE } }
    readable: 'Obigo Q 4A on a Huawei H12HW'
-
    headers: 'User-Agent: HuaweiU7510/B000 Browser/Obigo-Browser/Q05A MMS/Obigo-MMS/Q05A SyncML/HW-SyncML/1.0 Java/HWJa/2.0 Profile/MIDP-2.0 Configuration/CLDC-1.1 Player/QTV-Player/5.3'
    result: { browser: { name: 'Obigo Q', version: { value: '5', alias: 5A }, type: browser }, device: { type: mobile, subtype: feature, manufacturer: Huawei, model: U7510 } }
    readable: 'Obigo Q 5A on a Huawei U7510'
-
    headers: 'User-Agent: LG-A380/A38009d Obigo/Q7.3 Profile/MIDP-2.1 Configuration/CLDC-1.1'
    result: { browser: { name: 'Obigo Q', version: '7.3', type: browser }, device: { type: mobile, subtype: feature, manufacturer: LG, model: A380 } }
    readable: 'Obigo Q 7.3 on a LG A380'
-
    headers: 'User-Agent: LG-CU920/V1.0s Obigo/Q05A Profile/MIDP-2.0 Configuration/CLDC-1.1'
    result: { browser: { name: 'Obigo Q', version: { value: '5', alias: 5A }, type: browser }, device: { type: mobile, subtype: feature, manufacturer: LG, model: CU920 } }
    readable: 'Obigo Q 5A on a LG CU920'
-
    headers: 'User-Agent: LG-GD510/V100 Teleca/WAP2.0 Profile/MIDP-2.1 Configuration/CLDC-1.1'
    result: { browser: { name: 'Obigo WAP', version: '2.0', type: browser }, device: { type: mobile, subtype: feature, manufacturer: LG, model: GD510 } }
    readable: 'Obigo WAP 2.0 on a LG GD510'
-
    headers: 'User-Agent: LG-GM360/V100 Obigo/WAP2.0 Profile/MIDP-2.1 Configuration/CLDC-1.1'
    result: { browser: { name: 'Obigo WAP', version: '2.0', type: browser }, device: { type: mobile, subtype: feature, manufacturer: LG, model: 'GM360 Viewty Snap' } }
    readable: 'Obigo WAP 2.0 on a LG GM360 Viewty Snap'
-
    headers: 'User-Agent: LG-GM630 Browser/Teleca-Q7.1 MMS/LG-MMS-V1.0/1.2 Java/ASVM/1.1 Profile/MIDP-2.1 Configuration/CLDC-1.1'
    result: { browser: { name: 'Obigo Q', version: '7.1', type: browser }, device: { type: mobile, subtype: feature, manufacturer: LG, model: GM630 } }
    readable: 'Obigo Q 7.1 on a LG GM630'
-
    headers: 'User-Agent: LG-GS390/V10k Obigo/Q7.3 Profile/MIDP-2.1 Configuration/CLDC-1.1'
    result: { browser: { name: 'Obigo Q', version: '7.3', type: browser }, device: { type: mobile, subtype: feature, manufacturer: LG, model: GS390 } }
    readable: 'Obigo Q 7.3 on a LG GS390'
-
    headers: 'User-Agent: LG-GT350/V100 Obigo/WAP2.0 Profile/MIDP-2.1 Configuration/CLDC-1.1'
    result: { browser: { name: 'Obigo WAP', version: '2.0', type: browser }, device: { type: mobile, subtype: feature, manufacturer: LG, model: GT350 } }
    readable: 'Obigo WAP 2.0 on a LG GT350'
-
    headers: 'User-Agent: LG-GT500-v10f Browser/Teleca-Q7.1 MMS/LG-MMS-V1.0/1.2 MediaPlayer/LGPlayer/1.0 Java/ASVM/1.1 Profile/MIDP-2.1 Configuration/CLDC-1.1'
    result: { browser: { name: 'Obigo Q', version: '7.1', type: browser }, device: { type: mobile, subtype: feature, manufacturer: LG, model: 'GT500 Puccini' } }
    readable: 'Obigo Q 7.1 on a LG GT500 Puccini'
-
    headers: 'User-Agent: LG-GT505-Orange/V10e Browser/Teleca-Q7.1 MMS/LG-MMS-V1.0/1.2 MediaPlayer/LGPlayer/1.0 Java/ASVM/1.1 Profile/MIDP-2.1 Configuration/CLDC-1.1'
    result: { browser: { name: 'Obigo Q', version: '7.1', type: browser }, device: { type: mobile, subtype: feature, manufacturer: LG, model: GT505 } }
    readable: 'Obigo Q 7.1 on a LG GT505'
-
    headers: 'User-Agent: LG-LG840G/V100[TF013293002398424476222117575039107] Obigo/Q7.3 Profile/MIDP-2.1 Configuration/CLDC-1.1'
    result: { browser: { name: 'Obigo Q', version: '7.3', type: browser }, device: { type: mobile, subtype: feature, manufacturer: LG, model: 840G } }
    readable: 'Obigo Q 7.3 on a LG 840G'
-
    headers: 'User-Agent: LG/KC910i/V10a Browser/Obigo-Q7.1 MMS/LG-MMS-V1.0/1.2 MediaPlayer/LGPlayer/1.0 Java/ASVM/1.1 Profile/MIDP-2.1 Configuration/CLDC-1.1'
    result: { browser: { name: 'Obigo Q', version: '7.1', type: browser }, device: { type: mobile, subtype: feature, manufacturer: LG, model: 'KC910i Renoir' } }
    readable: 'Obigo Q 7.1 on a LG KC910i Renoir'
-
    headers: 'User-Agent: LG/KF750/v10a Browser/Obigo-Q05A/3.12 MMS/LG-MMS-V1.0/1.2 Java/ASVM/1.1 Profile/MIDP-2.1 Configuration/CLDC-1.1'
    result: { browser: { name: 'Obigo Q', version: { value: '5', alias: 5A }, type: browser }, device: { type: mobile, subtype: feature, manufacturer: LG, model: KF750 } }
    readable: 'Obigo Q 5A on a LG KF750'
-
    headers: 'User-Agent: LG_TB200_CMCC A2000pH/2.32.00 Release/9.14.2009 Browser/Teleca/Q7.1 Profile/MIDP-2.0 Configuration/CLDC-1.1'
    result: { browser: { name: 'Obigo Q', version: '7.1', type: browser }, device: { type: mobile, subtype: feature, manufacturer: LG, model: TB200 } }
    readable: 'Obigo Q 7.1 on a LG TB200'
-
    headers: 'User-Agent: MOT-EX116 Obigo/WAP2.0 MIDP-2.0/CLDC-1.1'
    result: { browser: { name: 'Obigo WAP', version: '2.0', type: browser }, device: { type: mobile, subtype: feature, manufacturer: Motorola, model: EX116 } }
    readable: 'Obigo WAP 2.0 on a Motorola EX116'
-
    headers: 'User-Agent: Mozilla/4.0 (Vodafone/1.0/LG-KC910/V08e Browser/Obigo-Q7.1 MMS/LG-MMS-V1.0/1.2 Java/ASVM/1.1 Profile/MIDP-2.1 Configuration/CLDC-1.1)'
    result: { browser: { name: 'Obigo Q', version: '7.1', type: browser }, device: { type: mobile, subtype: feature, manufacturer: LG, model: KC910 } }
    readable: 'Obigo Q 7.1 on a LG KC910'
-
    headers: 'User-Agent: SonyEricssonWT13i/R3AF010 TelecaBrowser/Q07C1-1 Profile/MIDP-2.0 Configuration/CLDC-1.1'
    result: { browser: { name: 'Obigo Q', version: { value: '7', alias: 7C }, type: browser }, device: { type: mobile, subtype: feature, manufacturer: 'Sony Ericsson', model: 'Mix Walkman' } }
    readable: 'Obigo Q 7C on a Sony Ericsson Mix Walkman'
-
    headers: 'User-Agent: T-Mobile Vairy Touch II/5.0 Obigo/Q03C Profile/MIDP-2.0 Configuration/CLDC-1.1'
    result: { browser: { name: 'Obigo Q', version: { value: '3', alias: 3C }, type: browser }, device: { type: mobile, subtype: feature, manufacturer: T-Mobile, model: 'Vairy Touch II' } }
    readable: 'Obigo Q 3C on a T-Mobile Vairy Touch II'
-
    headers: 'User-Agent: GIONEE50_12864_11B_HW (MRE\\2.5.00(3072) resolution\\240320 chipset\\MT6250 touch\\1 tpannel\\0 camera\\1 gsensor\\0 keyboard\ ormal) 1307SY_0201_V1045 Release/2013.06.28 WAP Browser/MAUI (HTTP PGDL; HTTPS) Profile/Profile/MIDP-2.0 Configuration/CLDC-1.1 Q03C1-2.40 en-US'
    result: { browser: { name: 'Obigo Q', version: { value: '3', alias: 3C }, type: browser }, os: { name: MRE }, device: { type: mobile, subtype: feature, manufacturer: Gionee, model: '50' } }
    readable: 'Obigo Q 3C on a Gionee 50 running MRE'
-
    headers: 'User-Agent: GIONEE S80/Q03C MAUI-browser/MIDP2.0/CLDC1.1/Screen-240X320'
    result: { browser: { name: 'Obigo Q', version: { value: '3', alias: 3C }, type: browser }, os: { name: MRE }, device: { type: mobile, subtype: feature, manufacturer: Gionee, model: S80 } }
    readable: 'Obigo Q 3C on a Gionee S80 running MRE'
-
    headers: 'User-Agent: Fly_DS123/Q03C_MAUI_Browser/MIDP2.0 Configuration/CLDC-1.1'
    result: { browser: { name: 'Obigo Q', version: { value: '3', alias: 3C }, type: browser }, os: { name: MRE }, device: { type: mobile, subtype: feature, manufacturer: Fly, model: DS123 } }
    readable: 'Obigo Q 3C on a Fly DS123 running MRE'
-
    headers: 'User-Agent: Philips9@9k/R08 NXP5210/DV7 Release/9.12.2007 Mozilla/Obigo/2.0 Profile/MIDP-2.0 Configuration/CLDC-1.0'
    result: { browser: { name: Obigo, version: '2.0', type: browser }, device: { type: mobile, subtype: feature, manufacturer: Philips, model: 9@9k } }
    readable: 'Obigo 2.0 on a Philips 9@9k'
-
    headers: 'User-Agent: SonyEricssonT250a/R5CA005 TelecaBrowser/1.1.14.20'
    result: { browser: { name: Obigo, version: '1.1', type: browser }, device: { type: mobile, subtype: feature, manufacturer: 'Sony Ericsson', model: T250a } }
    readable: 'Obigo 1.1 on a Sony Ericsson T250a'
-
    headers: 'User-Agent: BIRD.F501/1.00 Nucleus RTOS/V1.11.19 MTK6227/05C_V24 Release/11.21.2006 Browser/Teleca Profile/MIDP-2.0 Configuration/CLDC-1.0'
    result: { browser: { name: Obigo, type: browser }, os: { name: MRE }, device: { type: mobile, subtype: feature, manufacturer: Bird, model: F501 } }
    readable: 'Obigo on a Bird F501 running MRE'
-
    headers: 'User-Agent: Philips E210/Obigo Browser wap2.0'
    result: { browser: { name: 'Obigo WAP', version: '2.0', type: browser }, device: { type: mobile, subtype: feature, manufacturer: Philips, model: E210 } }
    readable: 'Obigo WAP 2.0 on a Philips E210'
-
    headers: 'User-Agent: Philips292 / Obigo Browser 2.0'
    result: { browser: { name: Obigo, version: '2.0', type: browser }, device: { type: mobile, subtype: feature, manufacturer: Philips, model: '292' } }
    readable: 'Obigo 2.0 on a Philips 292'
-
    headers: 'User-Agent: Alcatel-OH2/1.0 ObigoInternetBrowser/2.0'
    result: { browser: { name: Obigo, version: '2.0', type: browser }, device: { type: mobile, subtype: feature, manufacturer: Alcatel, model: OH2 } }
    readable: 'Obigo 2.0 on an Alcatel OH2'
-
    headers: 'User-Agent: PhilipsX830/1.0 MTK6239/08A Release/11.11.2008 Browser/Obigo2.0 Profile/MIDP-2.0 Configuration/CLDC-1.0'
    result: { browser: { name: Obigo, version: '2.0', type: browser }, device: { type: mobile, subtype: feature, manufacturer: Philips, model: X830 } }
    readable: 'Obigo 2.0 on a Philips X830'
-
    headers: 'User-Agent: LENOVO-A210/S015 Nucleus/1.15 MTK/53 Release/09.01.2011 Browser/Obigo03C'
    result: { browser: { name: Obigo, version: { value: '3', alias: 3C }, type: browser }, os: { name: MRE }, device: { type: mobile, subtype: feature, manufacturer: Lenovo, model: A210 } }
    readable: 'Obigo 3C on a Lenovo A210 running MRE'
-
    headers: 'User-Agent: BIRD S710_BLEU/1.00 Nucleus RTOS/V1.11.19 MTK6223/07A Release/07.28.2007 Browser/Teleca'
    result: { browser: { name: Obigo, type: browser }, os: { name: MRE }, device: { type: mobile, subtype: feature, manufacturer: Bird, model: S710 } }
    readable: 'Obigo on a Bird S710 running MRE'
-
    headers: 'User-Agent: LG-MG800d MIC/WAP2.0 MIDP-2.0/CLDC-1.1'
    result: { browser: { name: 'Obigo WAP', version: '2.0', type: browser }, device: { type: mobile, subtype: feature, manufacturer: LG, model: MG800d } }
    readable: 'Obigo WAP 2.0 on a LG MG800d'
-
    headers: 'User-Agent: SAMSUNG-SPHM610 AU-MIC-M610'
    result: { browser: { name: Obigo, type: browser }, device: { type: mobile, subtype: feature, manufacturer: Samsung, model: SPHM610 } }
    readable: 'Obigo on a Samsung SPHM610'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; 4.3; NITROGEN6X Build/4.3_1.0.0-ga) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/37.0.2062.117 Safari/537.36 Obigo/W20A.37'
    readable: 'Obigo W 20A on a Boundary Devices Nitrogen6X running Android 4.3'
    result: { browser: { name: 'Obigo W', family: { name: Chrome, version: 37 }, version: { alias: 20A }, type: browser }, engine: { name: Blink }, os: { name: Android, version: '4.3' }, device: { type: devboard, manufacturer: 'Boundary Devices', model: Nitrogen6X } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; 4.4.4; Nexus 7 Build/KTU84P) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/42.0.2311.107 Safari/537.36 Obigo/W20A.42'
    readable: 'Obigo W 20A on an Asus Nexus 7 running Android 4.4.4'
    result: { browser: { name: 'Obigo W', family: { name: Chrome, version: 42 }, version: { alias: 20A }, type: browser }, engine: { name: Blink }, os: { name: Android, version: 4.4.4 }, device: { type: tablet, manufacturer: Asus, model: 'Nexus 7' } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; 5.0.1; Nexus 5 Build/LRX22C) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/42.0.2311.107 Mobile Safari/537.36 Obigo/W20A.42'
    readable: 'Obigo W 20A on a LG Nexus 5 running Android 5.0.1'
    result: { browser: { name: 'Obigo W', family: { name: Chrome, version: 42 }, version: { alias: 20A }, type: browser }, engine: { name: Blink }, os: { name: Android, version: 5.0.1 }, device: { type: mobile, subtype: smart, manufacturer: LG, model: 'Nexus 5' } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; 5.1.1; Nexus 5 Build/LMY48B) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/42.0.2311.107 Mobile Safari/537.36 Obigo/W20A.42'
    readable: 'Obigo W 20A on a LG Nexus 5 running Android 5.1.1'
    result: { browser: { name: 'Obigo W', family: { name: Chrome, version: 42 }, version: { alias: 20A }, type: browser }, engine: { name: Blink }, os: { name: Android, version: 5.1.1 }, device: { type: mobile, subtype: smart, manufacturer: LG, model: 'Nexus 5' } }
-
    headers: 'User-Agent: LG-ME850c MIC/1.1.14 MIDP-2.0/CLDC-1.1'
    readable: 'Obigo 1.1 on a LG ME850c'
    result: { browser: { name: Obigo, version: '1.1', type: browser }, device: { type: mobile, subtype: feature, manufacturer: LG, model: ME850c } }
